Name:		qubes-manager
Version:	4.1.12
Release:	1%{?dist}
Summary:	The Graphical Qubes VM Manager.
BuildArch:	noarch
Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		https://www.qubes-os.org
Requires:	python%{python3_pkgversion}
Requires:	python%{python3_pkgversion}-PyQt5
Requires:	python%{python3_pkgversion}-inotify
Requires:	python%{python3_pkgversion}-qubesadmin >= 4.1.8
Requires:	python%{python3_pkgversion}-qasync
Requires:	qubes-desktop-linux-common >= 4.1.2
Requires:	qubes-artwork
Requires:	pmount
Requires:	cryptsetup
Requires:	wmctrl
BuildRequires:	python%{python3_pkgversion}-PyQt5-devel
BuildRequires:	python%{python3_pkgversion}-devel
%if 0%{?fedora} >= 33 || 0%{?rhel} >= 7
BuildRequires:  qt5-qtbase-devel
%else
BuildRequires:  qt5-devel
%endif
BuildRequires:  qt5-linguist
AutoReq:	0

Source0: %{name}-%{version}.tar.gz

%description
The Graphical Qubes VM Manager.

%prep
%setup -q

%build
make ui res translations
make python

%install
make python_install DESTDIR=$RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-global-settings
/usr/bin/qubes-vm-settings
/usr/bin/qubes-vm-create
/usr/bin/qubes-vm-clone
/usr/bin/qubes-vm-boot-from-device
/usr/bin/qubes-backup
/usr/bin/qubes-backup-restore
/usr/bin/qubes-qube-manager
/usr/bin/qubes-log-viewer
/usr/bin/qubes-template-manager
/usr/libexec/qubes-manager/mount_for_backup.sh
/usr/libexec/qubes-manager/qvm_about.sh
/usr/libexec/qubes-manager/dsa-4371-update

%dir %{python3_sitelib}/qubesmanager
%{python3_sitelib}/qubesmanager/__pycache__
%{python3_sitelib}/qubesmanager/__init__.py
%{python3_sitelib}/qubesmanager/clipboard.py
%{python3_sitelib}/qubesmanager/appmenu_select.py
%{python3_sitelib}/qubesmanager/backup.py
%{python3_sitelib}/qubesmanager/backup_utils.py
%{python3_sitelib}/qubesmanager/firewall.py
%{python3_sitelib}/qubesmanager/global_settings.py
%{python3_sitelib}/qubesmanager/multiselectwidget.py
%{python3_sitelib}/qubesmanager/restore.py
%{python3_sitelib}/qubesmanager/settings.py
%{python3_sitelib}/qubesmanager/log_dialog.py
%{python3_sitelib}/qubesmanager/about.py
%{python3_sitelib}/qubesmanager/releasenotes.py
%{python3_sitelib}/qubesmanager/informationnotes.py
%{python3_sitelib}/qubesmanager/create_new_vm.py
%{python3_sitelib}/qubesmanager/clone_vm.py
%{python3_sitelib}/qubesmanager/common_threads.py
%{python3_sitelib}/qubesmanager/qube_manager.py
%{python3_sitelib}/qubesmanager/utils.py
%{python3_sitelib}/qubesmanager/bootfromdevice.py
%{python3_sitelib}/qubesmanager/device_list.py
%{python3_sitelib}/qubesmanager/template_manager.py

%{python3_sitelib}/qubesmanager/resources_rc.py

%{python3_sitelib}/qubesmanager/ui_backupdlg.py
%{python3_sitelib}/qubesmanager/ui_bootfromdevice.py
%{python3_sitelib}/qubesmanager/ui_globalsettingsdlg.py
%{python3_sitelib}/qubesmanager/ui_multiselectwidget.py
%{python3_sitelib}/qubesmanager/ui_newappvmdlg.py
%{python3_sitelib}/qubesmanager/ui_newfwruledlg.py
%{python3_sitelib}/qubesmanager/ui_restoredlg.py
%{python3_sitelib}/qubesmanager/ui_settingsdlg.py
%{python3_sitelib}/qubesmanager/ui_logdlg.py
%{python3_sitelib}/qubesmanager/ui_about.py
%{python3_sitelib}/qubesmanager/ui_releasenotes.py
%{python3_sitelib}/qubesmanager/ui_informationnotes.py
%{python3_sitelib}/qubesmanager/ui_qubemanager.py
%{python3_sitelib}/qubesmanager/ui_devicelist.py
%{python3_sitelib}/qubesmanager/ui_templatemanager.py
%{python3_sitelib}/qubesmanager/ui_clonevmdlg.py
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.qm
%{python3_sitelib}/qubesmanager/i18n/qubesmanager_*.ts

%{python3_sitelib}/qubesmanager/tests/__pycache__
%{python3_sitelib}/qubesmanager/tests/__init__.py
%{python3_sitelib}/qubesmanager/tests/test_backup.py
%{python3_sitelib}/qubesmanager/tests/test_backup_utils.py
%{python3_sitelib}/qubesmanager/tests/test_global_settings.py
%{python3_sitelib}/qubesmanager/tests/test_qube_manager.py
%{python3_sitelib}/qubesmanager/tests/test_create_new_vm.py
%{python3_sitelib}/qubesmanager/tests/test_vm_settings.py
%{python3_sitelib}/qubesmanager/tests/test_clone_vm.py

%dir %{python3_sitelib}/qubesmanager-*.egg-info
%{python3_sitelib}/qubesmanager-*.egg-info/*

/usr/share/applications/qubes-global-settings.desktop
/usr/share/applications/qubes-vm-create.desktop
/usr/share/applications/qubes-backup.desktop
/usr/share/applications/qubes-backup-restore.desktop
/usr/share/applications/qubes-qube-manager.desktop
/usr/share/applications/qubes-template-manager.desktop
/usr/share/desktop-directories/qubes-tools.directory
/etc/xdg/menus/applications-merged/qubes-tools.menu

%changelog
* Mon Sep 14 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-manager.git

* Mon Sep 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 98a5c93
- version 4.1.12-1

* Thu Sep 10 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 53d17d6
- Fixed missing verbose error logging in Restore Backup

* Wed Sep 09 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 306b622
- spec: fix qt5 dependency for Fedora 33

* Mon Sep 07 2020 AJ Jordan <alex@strugee.net> - e41e808
- Fix capitalization in restore dialog

* Mon Aug 31 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - e9231d3
- Fix Boot from Device error when no block devices were found

* Sun Aug 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f465fc
- Make pylint happy

* Sun Aug 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a2f8ba9
- travis: restore pylint

* Sun Aug 23 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 22823f6
- Fix for icon size for Qube Manager tests

* Thu Aug 20 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 476f1d0
- Fixed display of default template in Create New VM

* Thu Aug 13 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3e512bb
- version 4.1.11-1

* Wed Aug 12 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 9a68be1
- Adjusted icon size in Qube Manager for better aesthetics

* Wed Aug 12 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 3f6f8c5
- Fixed lack of new vm.icon property handling in Qube Manager

* Wed Aug 12 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2637d9b
- Bump required python3-qubesadmin version

* Tue Aug 11 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - ee5625b
- Use the new QubesDaemonAccessError

* Sat Aug 08 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 8eb61b1
- Fixed VM settings to be more tolerant of missing permissions

* Sat Aug 08 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - e904f5e
- Modified warning shown when destination qube for backup is unavailable

* Fri Aug 07 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 39129bd
- Misc qubesmanager tools modified to be more resilient to insufficient permissions

* Fri Aug 07 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 7cbc7d9
- Global Settings now can function with partial permissions

* Fri Aug 07 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1f933b7
- Make Qube Manager resistant to missing permissions

* Wed Aug 05 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 354578d
- Added and fixed tests for CloneVM tool

* Mon Aug 03 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 8461a30
- Updated Clone VM tool to use new better helper functions

* Mon Aug 03 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 76d0c77
- travis: include Debian targets too

* Thu Jul 30 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - bdc1158
- Changed Clone action in Qube Manager and VM settings to use the new Clone Qube dialog

* Thu Jul 30 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 1faf4f4
- Added a Clone VM tool

* Thu Jul 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7984e61
- travis: use included configs, drop R4.0 dom0 test

* Thu Jul 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9a2daa4
- Replace quamash with qasync

* Thu Jul 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3ed0989
- debian: drop removed table_widgets.py from the packaging

* Thu Jul 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5fdcf87
- tests: Update QMessageBox mockup

* Thu Jul 30 2020 donoban <donoban@riseup.net> - bb1995a
- Migration to View/Model design (#195)

* Tue Jul 28 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 29ce349
- Fix incorrect Settings invocation in Qube Manager

* Tue Jul 21 2020 William Dizon <wdchromium@gmail.com> - a1896ac
- fixed misspelling in dialog box of success

* Thu Jul 16 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e4be77b
- version 4.1.10-1

* Wed Jul 15 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 44c2036
- Added more description to Global Settings update repo settings

* Tue Jul 14 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 61d15dd
- Fixed some minor defaults errors in VM settings

* Tue Jul 14 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 03c04cc
- Fixed deprecated implicit conversion to int

* Tue Jul 14 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 77b42e7
- Final improvements and cleanup to list widgets handling in manager

* Tue Jul 14 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - fabd601
- Added more description to applications in VM Settings

* Tue Jul 14 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f8c19ca
- Fixed overzealous firewall hostname checking

* Thu Jul 09 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 2ae92df
- Refactored Create New VM for more readability

* Thu Jul 09 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f0a8241
- Refactored VM Settings for less ugliness

* Wed Jul 08 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - ab5e3dc
- Improved Global Settings with more readable widget handling

* Tue Jul 07 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 31eb6f9
- Added GUI daemon options to global settings

* Tue Jul 07 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a41908f
- Added gui daemon options to VM settings

* Tue Jun 23 2020 MSathieu <18145111+MSathieu@users.noreply.github.com> - e18e9ee
- Don't reset template when changing type during qube creation

* Tue Jun 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d8de88b
- debian: add packaging

* Sat Jun 13 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e73015e
- version 4.1.9

* Thu Jun 11 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 37271db
- Fixed max volume size in VM settings

* Thu May 28 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 310d583
- Fixed VM settings test

* Tue May 26 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 683d75d
- Better error handling for opening VM settings in Qube Manager

* Mon May 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7eb100f
- version 4.1.8

